Patchwork [trivial,3/5] qemu-img: Don't prepend qemu-img to error messages twice.

login
register
mail settings
Submitter Markus Armbruster
Date June 22, 2011, 12:03 p.m.
Message ID <1308744237-3468-4-git-send-email-armbru@redhat.com>
Download mbox | patch
Permalink /patch/101439/
State New
Headers show

Comments

Markus Armbruster - June 22, 2011, 12:03 p.m.
error_report() prepends the location already.  Example:

$ qemu-img convert -6
qemu-img: qemu-img: option -6 is deprecated, please use '-o compat6' instead!

Signed-off-by: Markus Armbruster <armbru@redhat.com>
---
 qemu-img.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Patch

diff --git a/qemu-img.c b/qemu-img.c
index 1a37828..32628b3 100644
--- a/qemu-img.c
+++ b/qemu-img.c
@@ -304,11 +304,11 @@  static int img_create(int argc, char **argv)
             fmt = optarg;
             break;
         case 'e':
-            error_report("qemu-img: option -e is deprecated, please use \'-o "
+            error_report("option -e is deprecated, please use \'-o "
                   "encryption\' instead!");
             return 1;
         case '6':
-            error_report("qemu-img: option -6 is deprecated, please use \'-o "
+            error_report("option -6 is deprecated, please use \'-o "
                   "compat6\' instead!");
             return 1;
         case 'o':
@@ -633,11 +633,11 @@  static int img_convert(int argc, char **argv)
             compress = 1;
             break;
         case 'e':
-            error_report("qemu-img: option -e is deprecated, please use \'-o "
+            error_report("option -e is deprecated, please use \'-o "
                   "encryption\' instead!");
             return 1;
         case '6':
-            error_report("qemu-img: option -6 is deprecated, please use \'-o "
+            error_report("option -6 is deprecated, please use \'-o "
                   "compat6\' instead!");
             return 1;
         case 'o':